## udj-desktop-client 0.5.1

=== CMakeLists.txt ===
#
# Copyright 2011 Kurtis L. Nusbaum
# 
# This file is part of UDJ.
# 
# UDJ is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
# 
# UDJ is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with UDJ.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 2.8.7)
PROJECT(UDJ)
SET(PROJECT_VERSION_MAJOR 0)
SET(PROJECT_VERSION_MINOR 5)
SET(PROJECT_VERSION_PATCH 0)
SET(PROJECT_COPYRIGHT_YEAR 2011)
SET(PROJECT_VERNDOR "Bazaar Solutions")
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
set(PROJECT_COPYRIGHT_YEAR "2011")
set(PROJECT_DOMAIN_FIRST "klnusbaum")
set(PROJECT_DOMAIN_SECOND "org")
set(PROJECT_DOMAIN "${PROJECT_DOMAIN_FIRST}.${PROJECT_DOMAIN_SECOND}")

FIND_PACKAGE(Qt4 4.4.3 
  COMPONENTS QtMain QtCore QtGui Phonon QtSql QtNetwork QtXml REQUIRED)

include(UseQt4)

SET(CMAKE_AUTOMOC TRUE)

FIND_LIBRARY(TAGLIB "tag" PATH)
IF(NOT TAGLIB)
  MESSAGE(fatal_error "Could not find taglib")
ENDIF(NOT TAGLIB)

FIND_PATH(TAGLIB_HEADER_PATH "taglib/taglib.h" PATH)
IF(NOT TAGLIB_HEADER_PATH)
  message(FATAL_ERROR "Couldn't find path to taglib header")
ENDIF(NOT TAGLIB_HEADER_PATH)
include_directories("${TAGLIB_HEADER_PATH}/taglib")

set(UDJ_DEBUG_BUILD FALSE CACHE BOOL "Enables/Disables a debug build of UDJ")

IF(UDJ_DEBUG_BUILD)
  ADD_DEFINITIONS(-DUDJ_DEBUG_BUILD)
ENDIF(UDJ_DEBUG_BUILD)

set(HAS_CUSTOM_CA_CERT 0)
IF(CUSTOM_CA_CERT)
CONFIGURE_FILE(${CUSTOM_CA_CERT}
  ${PROJECT_BINARY_DIR}/serverca.pem COPYONLY)
set(HAS_CUSTOM_CA_CERT 1)
ENDIF(CUSTOM_CA_CERT)

set(IS_APPLE_BUILD 0)
set(IS_WINDOWS_BUILD 0)
IF(APPLE)
  set(IS_APPLE_BUILD 1)
ELSEIF(WIN32)
 set(IS_WINDOWS_BUILD 1)
ENDIF()



ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
# Copyright 2011 Kurtis L. Nusbaum
# 
# This file is part of UDJ.
# 
# UDJ is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
# 
# UDJ is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with UDJ.  If not, see <http://www.gnu.org/licenses/>.


configure_file(
  "${PROJECT_SOURCE_DIR}/src/ConfigDefs.hpp.in"
  "${PROJECT_BINARY_DIR}/src/ConfigDefs.hpp"
)

SET(SOURCES 
  main.cpp 
  PlaybackWidget.cpp
  MetaWindow.cpp 
  MusicFinder.cpp 
  DataStore.cpp
  ActivePlaylistView.cpp
  LibraryView.cpp
  UDJServerConnection.cpp
  JSONHelper.cpp
  qt-json/json.cpp
  LoginWidget.cpp
  ActivityList.cpp
  PlayerCreationWidget.cpp
  WidgetWithLoader.cpp
  MusicModel.cpp
  LoginDialog.cpp
  PlayerCreateDialog.cpp
  simpleCrypt/simplecrypt.cpp
  LibraryWidget.cpp
  ActivePlaylistModel.cpp
  PlayerDashboard.cpp
  Utils.cpp
  Logger.cpp
  LogViewer.cpp
  AboutWidget.cpp
  AddressWidget.cpp
  SetLocationDialog.cpp
  SetPasswordDialog.cpp
  DialogWithLoaderWidget.cpp
  PlaybackErrorMessage.cpp
)


include_directories("${PROJECT_BINARY_DIR}/src")
include_directories("${PROJECT_SOURCE_DIR}/src")

if(APPLE AND CMAKE_INSTALL_PREFIX MATCHES "/usr/local")
  set(CMAKE_INSTALL_PREFIX "/Applications")
endif()


if(UNIX AND NOT APPLE)
  string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWERCASE)
  set(BIN_INSTALL_DIR "bin")
  set(DOC_INSTALL_DIR "share/doc/${PROJECT_NAME_LOWERCASE}/")
else()
  set(BIN_INSTALL_DIR ".")
  set(DOC_INSTALL_DIR ".")
endif()

set(ICONS_DIR "${PROJECT_SOURCE_DIR}/icons")

if(CMAKE_COMPILER_IS_GNUCXX OR APPLE)
  add_definitions(-Wall -Wextra)
  if(CMAKE_BUILD_RELEASE)
    add_definitions(-Werror)
  endif()
endif()

set(RESOURCES_SOURCES "")
if(MSVC)
  list(APPEND RESOURCES_SOURCES ${PROJECT_SOURCE_DIR}/src/udj.rc)
endif()

if(APPLE)
set(MACOSX_BUNDLE_INFO_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(MACOSX_BUNDLE_BUNDLE_VERSION "${PROJECT_NAME} ${PROJECT_VERSION}")
set(MACOSX_BUNDLE_LONG_VERSION_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}")
set(MACOSX_BUNDLE_COPYRIGHT "${PROJECT_COPYRIGHT_YEAR} ${PROJECT_VENDOR}")
set(MACOSX_BUNDLE_ICON_FILE "udjlauncher.icns")
set(MACOSX_BUNDLE_BUNDLE_NAME "${PROJECT_NAME}")

set(MACOSX_BUNDLE_RESOURCES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.app/Contents/Resources")
set(MACOSX_BUNDLE_ICON "${ICONS_DIR}/${MACOSX_BUNDLE_ICON_FILE}")
execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory ${MACOSX_BUNDLE_RESOURCES})
execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different ${MACOSX_BUNDLE_ICON} ${MACOSX_BUNDLE_RESOURCES})
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SOURCES} ${MOC_SOURCES} ${RESOURCES_SOURCES})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${TAGLIB})

if(APPLE)
  set(CMAKE_INSTALL_PREFIX "/Applications")
endif()
install(TARGETS ${PROJECT_NAME} DESTINATION ${BIN_INSTALL_DIR})

IF(CUSTOM_CA_CERT)
  INSTALL(FILES ${PROJECT_BINARY_DIR}/serverca.pem DESTINATION ${BIN_INSTALL_DIR})
ENDIF(CUSTOM_CA_CERT)


set(LICENSE_FILE "${PROJECT_SOURCE_DIR}/LICENSE")
#set(README_FILE "${PROJECT_SOURCE_DIR}/README.md")
set(MANPAGE_FILE "${PROJECT_SOURCE_DIR}/doc/UDJ.1")
if(NOT APPLE)
install(FILES "${LICENSE_FILE}"  "${MANPAGE_FILE}" DESTINATION ${DOC_INSTALL_DIR})
endif()


IF(WIN32)
#We need to look for and include the openssl libs because some asshole made
#openssl export controlled and isn't installed by default on windows
  FIND_PACKAGE(OpenSSL)
  if(NOT OPENSSL_FOUND)
    message(fatal_error "Cannot find OpenSSL. This is required on windows")
  endif()
  get_filename_component(OPENSSL_ROOT ${OPENSSL_INCLUDE_DIR} PATH)
  set(SSL_LIBS "${OPENSSL_ROOT}/bin/libeay32.dll" "${OPENSSL_ROOT}/bin/ssleay32.dll")

  INSTALL(FILES ${SSL_LIBS} DESTINATION ${BIN_INSTALL_DIR})
endif()

set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
set(CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")
set(CPACK_PACKAGE_VERSION "${PROJECT_VERSION}")
set(CPACK_PACKAGE_VENDOR "${PROJECT_VENDOR}")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/${README_FILE}")
SET(CPACK_PACKAGE_DESCRIPTION "UDJ: The Social Music Player")
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libtag1c2a, libqt4-network, libqt4-sql-sqlite, libqtcore4, libqtgui4, phonon")
SET(CPACK_PACKAGE_CONTACT "klnusbaum@bazaarsolutions.com")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "UDJ is a social music player that allows you and your friends to controll a single music player from your smart phones")
SET(CPACK_DEBIAN_PACKAGE_SECTION "SOUND")
if(WIN32)
  set(CPACK_GENERATOR "NSIS")
  set(CPACK_PACKAGE_EXECUTABLES "${PROJECT_NAME}" "${PROJECT_NAME}")
  set(CPACK_PACKAGE_INSTALL_DIRECTORY "${PROJECT_NAME}")
  set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME} ${PROJECT_VERSION}")
  set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE")
  set(CPACK_NSIS_EXECUTABLES_DIRECTORY "${BIN_INSTALL_DIR}")
  #set(CPACK_NSIS_MUI_ICON "${PROJECT_ICONS_DIRECTORY}/NSIS.ico")
  #set(CPACK_PACKAGE_ICON "${PROJECT_ICONS_DIRECTORY}\\\\NSISHeader.bmp")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://${PROJECT_DOMAIN}")
  #set(CPACK_NSIS_INSTALLED_ICON_NAME "${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}")
  #set(CPACK_NSIS_MENU_LINKS "${LICENSE_FILE}" "License" "${README_FILE}" "Readme")
  #set(CPACK_NSIS_MUI_FINISHPAGE_RUN "${CPACK_NSIS_INSTALLED_ICON_NAME}")
endif()
if(APPLE)
  set(CMAKE_INSTALL_PREFIX "/Applications")
  set(CPACK_GENERATOR "DragNDrop")
  set(CPACK_DMG_FORMAT "UDBZ")
  set(CPACK_DMG_VOLUME_NAME "${PROJECT_NAME}")
  set(CPACK_SYSTEM_NAME "OSX")
  set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}")
  set(CPACK_PACKAGE_ICON "${ICONS_DIR}/udjlauncher.icns")
  #set(CPACK_DMG_DS_STORE "${ICONS_DIR}/DMGDSStore")
  #set(CPACK_DMG_BACKGROUND_IMAGE "${ICONS_DIR}/DMGBackground.png")
endif()

include(CPack)


set(CMAKE_INSTALL_SYSTEM_RUNTIME_DESTINATION "${BIN_INSTALL_DIR}")
include(InstallRequiredSystemLibraries)
if(APPLE)
  set(EXECUTABLE "${PROJECT_NAME}.app")
elseif(WIN32)
  set(EXECUTABLE "${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}")
else()
  set(EXECUTABLE "${BIN_INSTALL_DIR}/${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}")
endif()

set(UDJ_QT_PLUGINS "qsqlite")
if(APPLE)
  list(APPEND UDJ_QT_PLUGINS phonon_qt7)
elseif(WIN32)
  list(APPEND UDJ_QT_PLUGINS phonon_ds9)
endif()

if(APPLE OR WIN32)
  include(DeployQt4)
  install_qt4_executable("${EXECUTABLE}" "${UDJ_QT_PLUGINS}")
endif()

=== debian/changelog ===
udj-desktop-client (0.5.1-2) unstable; urgency=medium

  * Add libqt4-sql-sqlite as a Dependency (Closes: #680637)
    - This package is needed for adding music to the song library database
    - Urgency set to medium due to the serious RC bug that this upload fixes

 -- Nathan Handler <nhandler@ubuntu.com>  Sat, 07 Jul 2012 09:27:14 -0500

udj-desktop-client (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Create symbolic link from usr/share/man/man1/udj.1.gz to
    usr/share/man/man1/UDJ.1.gz to resolve lintian warning about missing manpage
  * Add debian/clean to remove generated debian/udj-desktop-client.xpm
  * Remove duplicate installation of .xpm icon in udj-desktop-client.install
  * Install a 48x48 PNG icon in the hicolor theme
  * Install a renamed version of the upstream SVG icon in the highcolor theme

 -- Nathan Handler <nhandler@ubuntu.com>  Tue, 26 Jun 2012 15:32:11 -0500

udj-desktop-client (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #677526)

 -- Nathan Handler <nhandler@ubuntu.com>  Thu, 14 Jun 2012 10:21:47 -0500

=== debian/control ===
Source: udj-desktop-client
Section: sound
Priority: optional
Maintainer: Nathan Handler <nhandler@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libqt4-dev, libphonon-dev,
 libtag1-dev, imagemagick, librsvg2-bin
Standards-Version: 3.9.3
Homepage: https://www.udjplayer.com/
Vcs-Git: git://git.debian.org/collab-maint/udj-desktop-client.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/udj-desktop-client.git

Package: udj-desktop-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Description: social music player
 UDJ allows you and your friends to collaboratively select which music is
 playing, in real time. Guests are able to view your playlist from their
 smartphones. They can also search your music library from their phones and add
 songs to the playlist. If they see a song added by someone else that they like,
 they can choose to vote it up. The song will then move up in the queue and be
 played sooner. Alternatively, if they see a song they don't like they can vote
 it down and it will move down in the queue.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	convert icons/udjlauncher.svg -resize 32x32 debian/udj-desktop-client.xpm
	convert icons/udjlauncher.svg -resize 48x48 debian/udj-desktop-client.png
	cp icons/udjlauncher.svg debian/udj-desktop-client.svg

override_dh_auto_install:
	dh_auto_install
	rm -f debian/udj-desktop-client/usr/share/doc/udj/LICENSE

## udj-desktop-client 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,9 +18,10 @@
 
 cmake_minimum_required(VERSION 2.8.7)
 PROJECT(UDJ)
-SET(PROJECT_VERSION_MAJOR 0)
-SET(PROJECT_VERSION_MINOR 5)
-SET(PROJECT_VERSION_PATCH 0)
+include(VERSION.cmake)
+SET(PROJECT_VERSION_MAJOR ${VERSION_MAJOR})
+SET(PROJECT_VERSION_MINOR ${VERSION_MINOR})
+SET(PROJECT_VERSION_PATCH ${VERSION_PATCH})
 SET(PROJECT_COPYRIGHT_YEAR 2011)
 SET(PROJECT_VERNDOR "Bazaar Solutions")
 set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
@@ -28,11 +29,19 @@
 set(PROJECT_DOMAIN_FIRST "klnusbaum")
 set(PROJECT_DOMAIN_SECOND "org")
 set(PROJECT_DOMAIN "${PROJECT_DOMAIN_FIRST}.${PROJECT_DOMAIN_SECOND}")
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
-FIND_PACKAGE(Qt4 4.4.3 
-  COMPONENTS QtMain QtCore QtGui Phonon QtSql QtNetwork QtXml REQUIRED)
+FIND_PACKAGE(Qt4 4.7.1
+  COMPONENTS QtMain QtCore QtGui QtSql QtNetwork QtXml REQUIRED)
+FIND_PACKAGE(Phonon REQUIRED)
+include_directories("${PHONON_INCLUDE_DIR}")
+IF(WIN32)
+FIND_LIBRARY(QTSPARKLE_LIBRARIES qtsparkle)
+ENDIF(WIN32)
 
 include(UseQt4)
+
+include(UDJCPack.cmake)
 
 SET(CMAKE_AUTOMOC TRUE)

=== src/CMakeLists.txt ===
# Copyright 2011 Kurtis L. Nusbaum
# 
# This file is part of UDJ.
# 
# UDJ is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
# 
# UDJ is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with UDJ.  If not, see <http://www.gnu.org/licenses/>.


configure_file(
  "${PROJECT_SOURCE_DIR}/src/ConfigDefs.hpp.in"
  "${PROJECT_BINARY_DIR}/src/ConfigDefs.hpp"
)

INCLUDE( AddAppIconMacro )

SET(SOURCES 
  main.cpp 
  PlaybackWidget.cpp
  MetaWindow.cpp 
  MusicFinder.cpp 
  DataStore.cpp
  ActivePlaylistView.cpp
  LibraryView.cpp
  UDJServerConnection.cpp
  JSONHelper.cpp
  qt-json/json.cpp
  LoginWidget.cpp
  ActivityList.cpp
  PlayerCreationWidget.cpp
  WidgetWithLoader.cpp
  MusicModel.cpp
  LoginDialog.cpp
  PlayerCreateDialog.cpp
  simpleCrypt/simplecrypt.cpp
  LibraryWidget.cpp
  ActivePlaylistModel.cpp
  PlayerDashboard.cpp
  Utils.cpp
  Logger.cpp
  LogViewer.cpp
  AboutWidget.cpp
  AddressWidget.cpp
  SetLocationDialog.cpp
  DialogWithLoaderWidget.cpp
  PlaybackErrorMessage.cpp
  ParticipantsView.cpp
  ParticipantsModel.cpp
)

#IF(APPLE)
#SET( SOURCES ${SOURCES} mac/UDJApp_Mac.mm)
#INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/mac)
#ENDIF(APPLE)

include_directories("${PROJECT_BINARY_DIR}/src")
include_directories("${PROJECT_SOURCE_DIR}/src")

if(APPLE AND CMAKE_INSTALL_PREFIX MATCHES "/usr/local")
  set(CMAKE_INSTALL_PREFIX "/Applications")
endif()


if(UNIX AND NOT APPLE)
  string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWERCASE)
  set(BIN_INSTALL_DIR "bin")
  set(DOC_INSTALL_DIR "share/doc/${PROJECT_NAME_LOWERCASE}/")
else()
  set(BIN_INSTALL_DIR ".")
  set(DOC_INSTALL_DIR ".")
endif()

set(ICONS_DIR "${PROJECT_SOURCE_DIR}/icons")

if(CMAKE_COMPILER_IS_GNUCXX OR APPLE)
  add_definitions(-Wall -Wextra)
  if(CMAKE_BUILD_RELEASE)
    add_definitions(-Werror)
  endif()
endif()

set(ICON_SOURCES "")
kde4_add_app_icon( ICON_SOURCES "${CMAKE_SOURCE_DIR}/icons/udjlauncher*.png" )


if(APPLE)
set(MACOSX_BUNDLE_INFO_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(MACOSX_BUNDLE_BUNDLE_VERSION "${PROJECT_NAME} ${PROJECT_VERSION}")
set(MACOSX_BUNDLE_LONG_VERSION_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}")
set(MACOSX_BUNDLE_COPYRIGHT "${PROJECT_COPYRIGHT_YEAR} ${PROJECT_VENDOR}")
set(MACOSX_BUNDLE_BUNDLE_NAME "${PROJECT_NAME}")

set(MACOSX_BUNDLE_RESOURCES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.app/Contents/Resources")
set(MACOSX_BUNDLE_ICON "${ICONS_DIR}/${MACOSX_BUNDLE_ICON_FILE}")
execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory ${MACOSX_BUNDLE_RESOURCES})
execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different ${MACOSX_BUNDLE_ICON} ${MACOSX_BUNDLE_RESOURCES})
endif()

set(UDJ_EXTRA_LIBS "")
if(WIN32)
  list(APPEND UDJ_EXTRA_LIBS  ${QTSPARKLE_LIBRARIES})
elseif(APPLE)
  find_library(SPARKLE Sparkle)
  list(APPEND UDJ_EXTRA_LIBS ${SPARKLE})
endif(WIN32)

message(STATUS "EXTRA ${UDJ_EXTRA_LIBS}")
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE ${SOURCES} ${MOC_SOURCES} ${ICON_SOURCES})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${PHONON_LIBS} ${TAGLIB} ${UDJ_EXTRA_LIBS})

if(APPLE)
  set(CMAKE_INSTALL_PREFIX "/Applications")
endif()
install(TARGETS ${PROJECT_NAME} DESTINATION ${BIN_INSTALL_DIR})

IF(CUSTOM_CA_CERT)
  INSTALL(FILES ${PROJECT_BINARY_DIR}/serverca.pem DESTINATION ${BIN_INSTALL_DIR})
ENDIF(CUSTOM_CA_CERT)


set(LICENSE_FILE "${PROJECT_SOURCE_DIR}/LICENSE")
#set(README_FILE "${PROJECT_SOURCE_DIR}/README.md")
set(MANPAGE_FILE "${PROJECT_SOURCE_DIR}/doc/UDJ.1")
if(NOT APPLE)
install(FILES "${LICENSE_FILE}"  "${MANPAGE_FILE}" DESTINATION ${DOC_INSTALL_DIR})
endif()


IF(WIN32)
  #We need to look for and include the openssl libs because some asshole made
  #openssl export controlled and isn't installed by default on windows
  FIND_PACKAGE(OpenSSLCross REQUIRED)
#   get_filename_component(OPENSSL_ROOT ${OPENSSL_INCLUDE_DIR} PATH)
#   set(SSL_LIBS_DLLS "${OPENSSL_ROOT}/bin/libeay32.dll" "${OPENSSL_ROOT}/bin/ssleay32.dll")
#
#   INSTALL(FILES ${SSL_LIBS_DLLS} DESTINATION ${BIN_INSTALL_DIR})


  #Do some fancy foot work to get phonon vlc working on widnows, this is so stupid and I hate it.


  #vlc libs
#   get_filename_component(LIBVLC_ROOT ${LIBVLC_LIBRARY} PATH)
#   set(VLC_LIB_DLLS "${LIBVLC_ROOT}/libvlc.dll")
#   INSTALL(FILES ${VLC_LIB_DLLS} DESTINATION ${BIN_INSTALL_DIR})


  #And the friggen PHONON_VLC_DLL
#   find_file(PHONON_VLC_DLL phonon_vlc.dll
#     HINT "$ENV{PHONON_VLC_ROOT_DIR}bin/phonon_backend"
#   )
#   if(NOT PHONON_VLC_DLL)
#     message(FATAL_ERROR "Could not find phonon vlc backend")
#   else(NOT PHONON_VLC_DLL)
#     message(STATUS "Found Phonon VLC Backend DLL: ${PHONON_VLC_DLL}")
#   endif(NOT PHONON_VLC_DLL)
endif()

set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
set(CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")
set(CPACK_PACKAGE_VERSION "${PROJECT_VERSION}")
set(CPACK_PACKAGE_VENDOR "${PROJECT_VENDOR}")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/${README_FILE}")
SET(CPACK_PACKAGE_DESCRIPTION "UDJ: The Social Music Player")
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libtag1c2a, libqt4-network, libqt4-sql-sqlite, libqtcore4, libqtgui4, phonon")
SET(CPACK_PACKAGE_CONTACT "klnusbaum@bazaarsolutions.com")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "UDJ is a social music player that allows you and your friends to controll a single music player from your smart phones")
SET(CPACK_DEBIAN_PACKAGE_SECTION "SOUND")

=== debian/changelog ===
udj-desktop-client (0.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Add stanzas for new upstream files
  * debian/rules:
    - Do not install ./usr/share/doc/udj/UDJ.1
    - Remove /usr/share/doc/udj directory if it is empty
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes)
    - Use my @debian.org address for the Maintainer field

 -- Nathan Handler <nhandler@debian.org>  Wed, 14 Nov 2012 15:29:07 -0600

udj-desktop-client (0.6.1-1~exp1) experimental; urgency=low

  * New upstream release
    - Adds support for new API

 -- Nathan Handler <nhandler@ubuntu.com>  Tue, 09 Oct 2012 22:39:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: udj-desktop-client
 Section: sound
 Priority: optional
-Maintainer: Nathan Handler <nhandler@ubuntu.com>
+Maintainer: Nathan Handler <nhandler@debian.org>
 Build-Depends: debhelper (>= 9.0.0), cmake, libqt4-dev, libphonon-dev,
  libtag1-dev, imagemagick, librsvg2-bin
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://www.udjplayer.com/
 Vcs-Git: git://git.debian.org/collab-maint/udj-desktop-client.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/udj-desktop-client.git

=== debian/watch ===
version=3

https://github.com/klnusbaum/UDJ-Desktop-Client/downloads .*/UDJ-Desktop-Client-(\d[\d\.]+)\.tar\.gz
